<?php
class calendarModel extends model
{
    public function getTaskList($projectID)
    {
        return $this->dao->select('id,name,assignedTo,estStarted,deadline')
            ->from(TABLE_TASK)
            ->where('project='.intval($projectID))
            ->andWhere('deleted')->eq(0)
            ->fetchAll();
    }

    public function getProjectList()
    {
        return $this->dao->select('id,name')
            ->from(TABLE_PROJECT)
            ->where('statge=1')
            ->andWhere('deleted')->eq(0)
            ->fetchAll();
    }

    public function getTask($taskID)
    {
        return $this->dao->findById($taskID)->from(TABLE_TASK)->fetch();
    }

    public function resizeTask($taskID,$deadline)
    {
        $data = ['deadline' => $deadline];
        return $this->dao->update(TABLE_TASK)->data($data)
            ->where('id')->eq($taskID)
            ->andWhere('deleted')->eq(0)
            ->exec();
    }

    public function moveTask($taskID,$estStarted,$deadline)
    {
        $data = ['estStarted' => $estStarted,'deadline' => $deadline];
        return $this->dao->update(TABLE_TASK)->data($data)
            ->where('id')->eq($taskID)
            ->andWhere('deleted')->eq(0)
            ->exec();
    }
}
